[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# strlcat

Concatenate 2 null-terminated strings, with length boundary.

## Declaration

Source position: syspchh.inc line 28

`function strlcat(`
`dest: PChar;`
`source: PChar;`
`l: SizeInt`
`):PChar;`

## Description

Adds MaxLen characters from Source to Dest, and adds a terminating null-character. Returns Dest.

## Errors

None.

## See also

StrCat |  | Concatenate 2 null-terminated strings.

## Example

    Program Example12;

    Uses strings;

    { Program to demonstrate the StrLCat function. }

    Const P1 : PChar = '1234567890';

    Var P2 : PChar;

    begin
      P2:=StrAlloc (StrLen(P1)*2+1);
      P2^:=#0; { Zero length }
      StrCat (P2,P1);
      StrLCat (P2,P1,5);
      Writeln ('P2 = ',P2);
      StrDispose(P2)
    end.

Documentation generated on: Feb 26 2014